Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.69
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je
Class LockNotGrantedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sleepycat.je.DatabaseException
                  com.sleepycat.je.DeadlockException
                      com.sleepycat.je.LockNotGrantedException

All Implemented Interfaces:
  Serializable

    public class LockNotGrantedException

extends DeadlockException

A LockNotGrantedException is thrown when a non-blocking operation fails to get a lock.

See Also:
  Serialized Form

Constructor Summary
`LockNotGrantedException()`
`LockNotGrantedException(String message)`
`LockNotGrantedException(String message, Throwable t)`
`LockNotGrantedException(Throwable t)`

Method Summary

Methods inherited from class com.sleepycat.je.DeadlockException
`getOwnerTxnIds, getWaiterTxnIds`

Methods inherited from class com.sleepycat.je.DatabaseException
`getVersionHeader`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LockNotGrantedException

    public LockNotGrantedException()

### LockNotGrantedException

    public LockNotGrantedException(Throwable t)

### LockNotGrantedException

    public LockNotGrantedException(String message)

### LockNotGrantedException

    public LockNotGrantedException(String message,
                                   Throwable t)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.69
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004,2008 Oracle. All rights reserved.